Developer Docs
OVERVIEW
RCS
SMS / 2Way SMS API
Number Intelligence
Balance
Contacts
Senders
Lists
Stoplists
Statistics
Cancel SMS Campaign
The method allows you to cancel the SMS campaign sent via the API.
Cancellation is possible only for a campaign that is in the creation / paused / sending / scheduled status.
To cancel campaign, make a request to this URL:
| PATCH https://one-api.bsg.world/api/campaigns/{id}/stop |
Request parameters:
| Parameter | Required | Type | Default | Description |
|---|---|---|---|---|
| id | Yes | integer | No |
The ID of the campaign created using:
|
Response parameters:
| Parameter | Type | Description | |
|---|---|---|---|
| id | integer | ID of the task created for a bulk campaign | |
| name | string | Campaign name | |
| sender | string | SMS Sender name | |
| status | string |
Campaign status. Possible values:
| |
| mesage_type | string | Campaign type: sms | |
| start_at | string | Date and time of the campaign start (scheduled). Format ISO 8601: yyyy-mm-dd hh:mm:ss | |
| real_start_at | string | Actual date and time the campaign started. Format ISO 8601: yyyy-mm-dd hh:mm:ss | |
| finished_at | string | Date and time the campaign is completed. Format ISO 8601: yyyy-mm-dd hh:mm:ss | |
| created_at | string | Date and time the campaign is created. Format ISO 8601: yyyy-mm-dd hh:mm:ss | |
| statistics | array | Campaign statistics: | |
| delivered | integer | Total number of messages delivered within the campaign | |
| sent | integer | Total number of messages sent within the campaign |
if the request is successful, you will receive a response::
{
"data": {
"id": 1,
"name": "string",
"sender": "string",
"status": "creation",
"message_type": "sms",
"start_at": "2021-04-27 19:44:06",
"real_start_at": "2021-04-27 19:44:06",
"finished_at": "2021-04-27 19:44:06",
"created_at": "2021-04-27 19:44:06",
"statistics": {
"delivered": 0,
"sent": 0
}
}
}
Interested in a special offer?
Ready to reach further?
Let’s talk
Submit